VIPW(8)

NAMN
vipw, vigr - redigera lösenordet, grupp, skugglösenord eller skuggruppfil

SYNOPSIS

vipw [flaggor]

vigr [flaggor]

BESKRIVNING

vipw and vigr redigerar filerna /etc/passwd och /etc/group, respektive. Med flaggan -s, kommer de att redigera skuggversionerna av dessa filer, /etc/shadow och /etc/gshadow, respektive. Programmen kommer att ställa in de lämpliga lås som behövs för att förhindra att filerna skadas. NÃ¤r de letar efter en redigerare kommer programmen att första försöka med miljövariabeln $VISUAL, sedan miljövariabeln $EDITOR och till sist standardredigeraren, vi(1).

FLAGGOR

Flaggorna som gäller för kommandona vipw och vigr är:

-g, --group
    Redigera gruppdatabasen.

-h, --help
    Visa hjälpmeddelande och avsluta.

-p, --passwd
    Redigera lösenordsdatabasen.

-q, --quiet
    Tyst läge.

-s, --shadow
    Redigera shadow- eller gshadow-databasen.

FILER

/etc/group
    Gruppkontoinformation.

/etc/gshadow
    Säker gruppkontoinformation.

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

SE OCKSÅ

vi(1), group(5), gshadow(5)passwd(5), shadow(5).